/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.CandleDataApi();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('CandleDataApi', function() {
    describe('listAvailablePairsApiV1AvailablePairsGet', function() {
      it('should call listAvailablePairsApiV1AvailablePairsGet successfully', function(done) {
        //uncomment below and update the code to test listAvailablePairsApiV1AvailablePairsGet
        //instance.listAvailablePairsApiV1AvailablePairsGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('pairCandlesApiV1PairCandlesGet', function() {
      it('should call pairCandlesApiV1PairCandlesGet successfully', function(done) {
        //uncomment below and update the code to test pairCandlesApiV1PairCandlesGet
        //instance.pairCandlesApiV1PairCandlesGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('pairHistoryApiV1PairHistoryGet', function() {
      it('should call pairHistoryApiV1PairHistoryGet successfully', function(done) {
        //uncomment below and update the code to test pairHistoryApiV1PairHistoryGet
        //instance.pairHistoryApiV1PairHistoryGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('plotConfigApiV1PlotConfigGet', function() {
      it('should call plotConfigApiV1PlotConfigGet successfully', function(done) {
        //uncomment below and update the code to test plotConfigApiV1PlotConfigGet
        //instance.plotConfigApiV1PlotConfigGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
  });

}));
